DROP TABLE CRST_PO_SYSTEM_PARAMETERS_ALL;

CREATE TABLE CRST_PO_SYSTEM_PARAMETERS_ALL
(
  LAST_UPDATE_DATE                DATE          NOT NULL,
  LAST_UPDATED_BY                 NUMBER        NOT NULL,
  LAST_UPDATE_LOGIN               NUMBER,
  CREATION_DATE                   DATE,
  CREATED_BY                      NUMBER,
  ACCRUED_CODE_COMBINATION_ID     NUMBER,
  PRICE_CHANGE_ALLOWANCE          NUMBER,
  REQ_CAN_AUTHORIZE               VARCHAR2(1 BYTE),
  INSPECTION_REQUIRED_FLAG        VARCHAR2(1 BYTE),
  ENFORCE_PRICE_CHANGE_ALLOWANCE  VARCHAR2(1 BYTE),
  DEFAULT_RATE_TYPE               VARCHAR2(25 BYTE),
  TAXABLE_FLAG                    VARCHAR2(1 BYTE),
  USER_DEFINED_RECEIPT_NUM_CODE   VARCHAR2(25 BYTE),
  MANUAL_RECEIPT_NUM_TYPE         VARCHAR2(25 BYTE),
  USER_DEFINED_QUOTE_NUM_CODE     VARCHAR2(25 BYTE),
  MANUAL_QUOTE_NUM_TYPE           VARCHAR2(25 BYTE),
  USER_DEFINED_RFQ_NUM_CODE       VARCHAR2(25 BYTE),
  MANUAL_RFQ_NUM_TYPE             VARCHAR2(25 BYTE),
  USER_DEFINED_PO_NUM_CODE        VARCHAR2(25 BYTE),
  MANUAL_PO_NUM_TYPE              VARCHAR2(25 BYTE),
  USER_DEFINED_REQ_NUM_CODE       VARCHAR2(25 BYTE),
  MANUAL_REQ_NUM_TYPE             VARCHAR2(25 BYTE),
  DEFAULT_QUOTE_WARNING_DELAY     NUMBER,
  ENFORCE_BUYER_AUTHORITY_FLAG    VARCHAR2(1 BYTE),
  ENFORCE_BUYER_NAME_FLAG         VARCHAR2(1 BYTE),
  ENFORCE_VENDOR_HOLD_FLAG        VARCHAR2(1 BYTE),
  NOTIFY_IF_BLANKET_FLAG          VARCHAR2(1 BYTE),
  RFQ_REQUIRED_FLAG               VARCHAR2(1 BYTE),
  PO_DOCUMENT_REPORT_ID           NUMBER,
  PO_DOCUMENT_PRINT_FLAG          VARCHAR2(1 BYTE),
  RFQ_DOCUMENT_REPORT_ID          NUMBER,
  RFQ_DOCUMENT_PRINT_FLAG         VARCHAR2(1 BYTE),
  LINE_TYPE_ID                    NUMBER,
  NEXT_APPROVER_LOOKUP_CODE       VARCHAR2(25 BYTE),
  RECEIVING_FLAG                  VARCHAR2(1 BYTE),
  ALLOW_ITEM_DESC_UPDATE_FLAG     VARCHAR2(1 BYTE),
  DISPOSITION_WARNING_FLAG        VARCHAR2(1 BYTE),
  ENFORCE_FULL_LOT_QUANTITIES     VARCHAR2(25 BYTE),
  SECURITY_POSITION_STRUCTURE_ID  NUMBER,
  MIN_RELEASE_AMOUNT              NUMBER,
  PRICE_TYPE_LOOKUP_CODE          VARCHAR2(25 BYTE),
  NOTIFICATION_WARNING_DELAY      NUMBER,
  PRICE_BREAK_LOOKUP_CODE         VARCHAR2(25 BYTE),
  INVOICE_CLOSE_CODE              VARCHAR2(25 BYTE),
  RECEIVE_CLOSE_CODE              VARCHAR2(25 BYTE),
  INVOICE_CLOSE_TOLERANCE         NUMBER,
  RECEIVE_CLOSE_TOLERANCE         NUMBER,
  CANCEL_REQS_ON_PO_CANCEL_FLAG   VARCHAR2(1 BYTE),
  REQUEST_ID                      NUMBER,
  PROGRAM_APPLICATION_ID          NUMBER,
  PROGRAM_ID                      NUMBER,
  PROGRAM_UPDATE_DATE             DATE,
  REQIMPORT_GROUP_BY_CODE         VARCHAR2(25 BYTE),
  EXPENSE_ACCRUAL_CODE            VARCHAR2(25 BYTE),
  INVENTORY_ACCRUAL_CODE          VARCHAR2(25 BYTE),
  ORDER_TYPE_ID                   NUMBER,
  ORDER_SOURCE_ID                 NUMBER,
  SALESREP_ID                     NUMBER,
  TERM_ID                         NUMBER,
  ORG_ID                          NUMBER,
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(150 BYTE),
  TAX_FROM_SHIP_TO_LOC_FLAG       VARCHAR2(1 BYTE),
  TAX_FROM_ITEM_FLAG              VARCHAR2(1 BYTE),
  TAX_FROM_VENDOR_FLAG            VARCHAR2(1 BYTE),
  TAX_FROM_VENDOR_SITE_FLAG       VARCHAR2(1 BYTE),
  TAX_FROM_SYSTEM_FLAG            VARCHAR2(1 BYTE),
  TAX_HIER_SHIP_TO_LOC            NUMBER(15),
  TAX_HIER_ITEM                   NUMBER(15),
  TAX_HIER_VENDOR                 NUMBER(15),
  TAX_HIER_VENDOR_SITE            NUMBER(15),
  TAX_HIER_SYSTEM                 NUMBER(15),
  CREATE_DEBIT_MEMO_FLAG          VARCHAR2(25 BYTE),
  ENFORCE_PRICE_CHANGE_AMOUNT     VARCHAR2(1 BYTE),
  PRICE_CHANGE_AMOUNT             NUMBER
);
